Package tigase.eventbus.impl

## Class EventName

- java.lang.Object
- - tigase.eventbus.impl.EventName

-     public class EventName
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventName​(java.lang.Class<?> eventClass)` |
    `EventName​(java.lang.String eventName)` |
    `EventName​(java.lang.String eventPackage, java.lang.String eventName)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPackage()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |
    `static java.lang.String` | `toString​(java.lang.String eventPackage, java.lang.String eventName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventName

          public EventName​(java.lang.Class<?> eventClass)

    - #### EventName

          public EventName​(java.lang.String eventName)

    - #### EventName

          public EventName​(java.lang.String eventPackage,
                           java.lang.String eventName)

  - ### Method Detail

    - #### toString

          public static final java.lang.String toString​(java.lang.String eventPackage,
                                                        java.lang.String eventName)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

    - #### getPackage

          public java.lang.String getPackage()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`